Cards & Wallets · Your payment page

Pay to Customer

Use the Payout request to credit a customer's card without referencing an original transaction. This is typically used to return winnings or make refunds to a card.

Visa and Mastercard have their own terminology: Visa Original Credit (OCT) covers gaming payouts but also money transfers, and Mastercard Payment of Winnings (PoW) is for gaming payouts. You must provide the customer's card details or a saved method, plus a recipient object containing the beneficiary name.

Payouts can also be deferred. A deferred payout creates an initial PAYOUT_INITIALIZE transaction that is completed later, or voided if you no longer want to make the payment.

Payout

Payout
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/payout
Request body
{
  "transaction": {
    "currency": "GBP",
    "amount": 1000.00,
    "description": "Merchant description",
    "merchantRef": "TXN-0004"
  },

  "paymentMethod": {
    "card": {
      "cardLockToken": "TT_4BgN6VisSsmsfxZNu05KhQ",
      "expiryDate": "1230",
      "cardHolderName": "John Smith"
    },

    "billingAddress": {
      "line1": "1 Some Street",
      "city": "Metropolis",
      "postcode": "AA1 1AA",
      "countryCode": "GBR"
    }
  },

  "customer": {
    "merchantRef": "CUST-0001",
    "displayName": "John Smith"
  } 
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/payout" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction": {
    "currency": "GBP",
    "amount": 1000.00,
    "description": "Merchant description",
    "merchantRef": "TXN-0004"
  },

  "paymentMethod": {
    "card": {
      "cardLockToken": "TT_4BgN6VisSsmsfxZNu05KhQ",
      "expiryDate": "1230",
      "cardHolderName": "John Smith"
    },

    "billingAddress": {
      "line1": "1 Some Street",
      "city": "Metropolis",
      "postcode": "AA1 1AA",
      "countryCode": "GBR"
    }
  },

  "customer": {
    "merchantRef": "CUST-0001",
    "displayName": "John Smith"
  } 
}'
Response
HTTP/1.1 201

{
  "processing": {
    "authResponse": {
      "statusCode": "00",
      "acquirerName": "Barclays Merchant Services",
      "message": "Approved - no action",
      "authCode": "025223",
      "gatewayReference": "121gbp18347476bc8d919FMee1000z00",
      "gatewayCode": "000.000.000",
      "gatewayMessage": "Transaction succeeded",
      "avsAddressCheck": "FULL_MATCH",
      "avsPostcodeCheck": "FULL_MATCH",
      "cv2Check": "MATCHED",
      "status": "AUTHORISED"
    },
    "route": "PAYON"
  },
  "paymentMethod": {
    "registered": true,
    "card": {
      "cardToken": "MT_5nXK-imvRFWNmCwDinSPhA",
      "cardFingerprint": "0hbdt0r/7ofTCqA5qKilqtHeeJg=",
      "new": false,
      "cardType": "MC_DEBIT",
      "cardUsageType": "DEBIT",
      "cardScheme": "MASTERCARD",
      "cardCategory": "DEBIT",
      "maskedPan": "990000******0010",
      "expiryDate": "1230",
      "issuer": "PAY360 TESTING",
      "issuerCountry": "GBR",
      "cardHolderName": "John Smith"
    },
    "billingAddress": {
      "line1": "1 Some Street",
      "city": "Metropolis",
      "postcode": "AA1 1AA",
      "country": "United Kingdom",
      "countryCode": "GBR"
    },
    "paymentClass": "CARD"
  },
  "customFields": {
    "fieldState": []
  },
  "customer": {
    "id": "2176079",
    "merchantRef": "CUST-0001"
  },
  "transaction": {
    "transactionId": "10111564539",
    "merchantRef": "TXN-0004",
    "merchantDescription": "Merchant description",
    "status": "SUCCESS",
    "stage": "COMPLETE",
    "type": "PAYOUT",
    "amount": 1000,
    "consumerSpend": 1000,
    "currency": "GBP",
    "transactionTime": "2019-12-12T20:15:41.781Z",
    "receivedTime": "2019-12-12T20:15:41.781Z"
  },
  "outcome": {
    "status": "SUCCESS",
    "reasonCode": "S100",
    "reasonMessage": "Authorised"
  },
  "trace": "TtMZckIIeq0nIi8sMNId8bQ",
  "link": [
    {
      "rel": "transaction",
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5302522/10111564539"
    }
  ]
}

Deferred payout

Send transaction.deferred, and we will create an initial transaction with all of the required details, but will not perform authorisation. Keep the returned transactionId — you need it to complete or void the payout.

Initialise a deferred payout
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/payout
Request body
{
  "transaction": {
    "deferred": true,
    "currency": "GBP",
    "amount": 100.0,
    "description": "Sample Transaction",
    "merchantRef": "TXN-005"
  },
  "paymentMethod": {
    "fromCustomer": {
      "cv2": "111"
    }
  },
  "customer": {
    "merchantRef": "CUST-0001"
  },
  "recipient": {
    "givenName": "John",
    "surname": "Smith"
  }
}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/payout" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{
  "transaction": {
    "deferred": true,
    "currency": "GBP",
    "amount": 100.0,
    "description": "Sample Transaction",
    "merchantRef": "TXN-005"
  },
  "paymentMethod": {
    "fromCustomer": {
      "cv2": "111"
    }
  },
  "customer": {
    "merchantRef": "CUST-0001"
  },
  "recipient": {
    "givenName": "John",
    "surname": "Smith"
  }
}'
Response
HTTP/1.1 201 Created

{
  "processing": {
    "model": "MANAGE"
  },
  "paymentMethod": {
    "registered": true,
    "card": {
      "cardToken": "MT_AX-Bky5gQ8GPyhwb265khA",
      "cardFingerprint": "Q1MtMWRjY2MyNzktODZhYy00OGFkLTlhNTktZDcwYTI2MmEzYWRm",
      "new": false,
      "cardType": "VISA_DEBIT",
      "cardUsageType": "DEBIT",
      "cardScheme": "VISA",
      "cardCategory": "DEBIT",
      "maskedPan": "990200******0018",
      "expiryDate": "1229",
      "issuer": "PAY360 TESTING",
      "issuerCountry": "GBR",
      "cardHolderName": "John Smith"
    },
    "billingAddress": {
      "line1": "1 Some Street",
      "city": "Metropolis",
      "postcode": "AA1 2BB",
      "country": "United Kingdom",
      "countryCode": "GBR"
    },
    "paymentClass": "CARD"
  },
  "customFields": {
    "fieldState": []
  },
  "customer": {
    "id": "11631",
    "merchantRef": "CUST-0001"
  },
  "transaction": {
    "transactionId": "13146401863",
    "deferred": true,
    "merchantRef": "TXN-005",
    "merchantDescription": "Sample Transaction",
    "status": "SUCCESS",
    "stage": "FRAUD_RULES",
    "type": "PAYOUT_INITIALIZE",
    "amount": 100.00,
    "consumerSpend": 0,
    "currency": "GBP",
    "transactionTime": "2026-09-02T14:07:38.137+01:00",
    "receivedTime": "2026-09-02T14:07:38.137+01:00"
  },
  "outcome": {
    "status": "SUCCESS",
    "reasonCode": "S100",
    "reasonMessage": "Payout initialize successful"
  },
  "recipient": {
    "givenName": "John",
    "surname": "Smith"
  },
  "trace": "Tb2FhS9WxkQDi-xe0j3h8fQ",
  "link": [
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/13146401863",
      "rel": "transaction"
    }
  ]
}
Notes:
  • The recipient field is required by some acquirers, can also be used for a regular payout.

Complete

When you are ready to send the funds, call the complete endpoint with that transactionId and an empty body. The PAYOUT_COMPLETE transaction carries the initialise transaction in relatedTransaction.

Complete a deferred payout
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/{transactionId}/complete
Request body
{}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/{transactionId}/complete" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{}'
Response
HTTP/1.1 201 Created

{
  "processing": {
    "model": "MANAGE",
    "authResponse": {
      "acquirerName": "RBS Worldpay",
      "message": "Approved",
      "gatewayReference": "121gbpc2737627a97fd7fFCeee100z00",
      "gatewayCode": "000.000.000",
      "gatewayMessage": "Transaction succeeded",
      "avsAddressCheck": "FULL_MATCH",
      "avsPostcodeCheck": "FULL_MATCH",
      "status": "AUTHORISED"
    },
    "route": "PAYON"
  },
  "paymentMethod": {
    "registered": true,
    "card": {
      "cardToken": "MT_AX-Bky5gQ8GPyhwb265khA",
      "cardFingerprint": "Q1MtMWRjY2MyNzktODZhYy00OGFkLTlhNTktZDcwYTI2MmEzYWRm",
      "new": false,
      "cardUsageType": "DEBIT",
      "cardCategory": "DEBIT",
      "maskedPan": "990200******0018",
      "expiryDate": "1229",
      "issuer": "PAY360 TESTING",
      "issuerCountry": "GBR",
      "cardHolderName": "John Smith"
    },
    "billingAddress": {
      "line1": "1 Some Street",
      "city": "Metropolis",
      "postcode": "AA1 2BB",
      "country": "United Kingdom",
      "countryCode": "GBR"
    },
    "paymentClass": "CARD"
  },
  "customFields": {
    "fieldState": []
  },
  "transaction": {
    "transactionId": "13146401864",
    "status": "SUCCESS",
    "stage": "COMPLETE",
    "type": "PAYOUT_COMPLETE",
    "amount": 100.00,
    "consumerSpend": 100.00,
    "currency": "GBP",
    "transactionTime": "2026-09-02T14:12:49.753+01:00",
    "receivedTime": "2026-09-02T14:12:49.753+01:00",
    "relatedTransaction": {
      "transactionId": "13146401863",
      "merchantRef": "TXN-005"
    }
  },
  "outcome": {
    "status": "SUCCESS",
    "reasonCode": "S100",
    "reasonMessage": "Authorised"
  },
  "trace": "TRmZQI8f_i0kGuTf6ctta4g",
  "link": [
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/13146401864",
      "rel": "transaction"
    },
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/13146401863",
      "rel": "related-transaction"
    }
  ]
}

Void

To drop the payout instead of sending it, call the cancel endpoint with the same transactionId. The initialised payout is left with a status of VOIDED.

Void a deferred payout
EndpointDefinition
POST /acceptor/rest/transactions/{instId}/{transactionId}/cancel
Request body
{}
cURL
curl -X POST "{targetEnvironmentPath}/acceptor/rest/transactions/{instId}/{transactionId}/cancel" \
  -u "{apiUser}:{apiPassword}" \
  -H "Content-Type: application/json" \
  -d '{}'
Response
HTTP/1.1 201 Created

{
  "processing": {
    "model": "MANAGE"
  },
  "customFields": {
    "fieldState": []
  },
  "transaction": {
    "transactionId": "13146401866",
    "status": "VOIDED",
    "stage": "AUTHORISATION",
    "type": "CANCEL",
    "amount": 100.00,
    "consumerSpend": 0,
    "currency": "GBP",
    "transactionTime": "2026-09-02T14:15:26.042+01:00",
    "receivedTime": "2026-09-02T14:15:26.042+01:00",
    "relatedTransaction": {
      "transactionId": "13146401865",
      "merchantRef": "TXN-005"
    }
  },
  "outcome": {
    "status": "SUCCESS",
    "reasonCode": "C107",
    "reasonMessage": "Payout initialize successfully cancelled"
  },
  "trace": "Tnd5IEa5lrdVb2kQyg0N9NA",
  "link": [
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/13146401866",
      "rel": "transaction"
    },
    {
      "href": "https://api.mite.pay360.com/acceptor/rest/transactions/5315271/13146401865",
      "rel": "related-transaction"
    }
  ]
}